Summary:	X.org input driver for MicroTouch devices
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla urządzeń MicroTouch
Name:		xorg-driver-input-mutouch
Version:	1.3.0
Release:	9
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-mutouch-%{version}.tar.bz2
# Source0-md5:	d84374b3eecc2d7156f5b694e79f66ac
Patch0:		am.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.10.0
BuildRequires:  rpmbuild(macros) >= 1.389
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for MicroTouch devices.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla urządzeń MicroTouch.

%prep
%setup -q -n xf86-input-mutouch-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/input/mutouch_drv.so
%{_mandir}/man4/mutouch.4*
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-mutouch.git;a=log;h=master

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3dad279
- xserver rebuild
- release 9 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fd742f9
- xserver rebuild
- release 8 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 28bc02a
- release 7 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 80554f4
- fix building with latest automake
- rel 6

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> aa7cc80
- release 5 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> de4d4ce
- release 4 (by relup.sh)

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6521a67
- release 3

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 46819b1
- release 2

* Tue Jun 28 2011 Jakub Bogusz <qboosh@pld-linux.org> e72a911
- updated to 1.3.0

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 155059d
- use requires_xorg_* macros in a way which allows to check rpm-build-macros BR first

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 76bcc9c
- release 3

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fa4b06
- release 2

* Thu Oct 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> befa372
- up to 1.2.1

* Tue Jul 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a9974b2
- release 2

* Sat May 10 2008 Jakub Bogusz <qboosh@pld-linux.org> afae5e8
- updated to 1.2.0

* Thu Sep 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> e27db9a
- rebuilding for new xserver

* Thu Sep 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 7b6faf2
- track xserver input deps

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 97f174c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d4cfc8f
- converted to UTF-8

* Mon Apr 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 324a7f7
- updated to 1.1.0

